@import url('https://fonts.googleapis.com/css?family=Raleway:400,700');

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;	
	font-family: Raleway, sans-serif;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: 'Raleway', sans-serif; /* Use a modern font */
    background: url('/images/background_gradient.jpg') no-repeat center center fixed;
    background-size: cover; /* Ensure the image covers the entire background */
    padding-top: 50px; /* Add padding to prevent content overlap with the fixed menu */
}


.menu-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; /* Full width of the site */
    background-color: #1c0624;
    overflow: hidden;
    display: flex;
    justify-content: center;
    padding: 0;
    margin: 0;
    z-index: 1000; /* Ensure it stays above other elements */
}

.menu-bar ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.menu-bar li {
    margin: 0;
    padding: 0;
}

.menu-bar a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 20px;
    text-decoration: none;
}

.menu-bar a:hover {
    background-color: #575757;
}

#content-div {
    text-align: center;
    font-size: 2rem;
    position: fixed;;
}

.inputform-container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.screen {		
	background: linear-gradient(90deg, #6e3b57, #ab78b8);		
	position: relative;	
	height: 600px;
	width: 360px;	
	box-shadow: 0px 0px 24px #5C5696;
}

.screen__content {
	z-index: 1;
	position: relative;	
	height: 100%;
}

.screen__background {		
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 0;
	-webkit-clip-path: inset(0 0 0 0);
	clip-path: inset(0 0 0 0);	
}

.screen__background__shape {
	transform: rotate(45deg);
	position: absolute;
}

.screen__background__shape1 {
	height: 520px;
	width: 520px;
	background: #FFF;	
	top: -50px;
	right: 120px;	
	border-radius: 0 72px 0 0;
}

.screen__background__shape2 {
	height: 220px;
	width: 220px;
	background: #472853;	
	top: -172px;
	right: 0;	
	border-radius: 32px;
}

.screen__background__shape3 {
	height: 540px;
	width: 190px;
	background: linear-gradient(270deg, #63184a, #472853);
	top: -24px;
	right: 0;	
	border-radius: 32px;
}

.screen__background__shape4 {
	height: 400px;
	width: 200px;
	background: #63184a;	
	top: 420px;
	right: 50px;	
	border-radius: 60px;
}

.login {
	width: 320px;
	padding: 30px;
	padding-top: 156px;
}

.login__field {
	padding: 20px 0px;	
	position: relative;	
}

.login__icon {
	position: absolute;
	top: 30px;
	color: #923156;
}

.login__input {
	border: none;
	border-bottom: 2px solid #d4d1d2;
	background: none;
	padding: 10px;
	padding-left: 24px;
	font-weight: 700;
	width: 75%;
	transition: .2s;
}

.login__input:active,
.login__input:focus,
	login__input:hover {
	outline: none;
	border-bottom-color: #8b2547;
}

.login__submit {
	background: #fff;
	font-size: 14px;
	margin-top: 30px;
	padding: 16px 20px;
	border-radius: 26px;
	border: 1px solid #e8d3e8;
	text-transform: uppercase;
	font-weight: 700;
	display: flex;
	align-items: center;
	width: 100%;
	color: #772a51;
	box-shadow: 0px 2px 2px #7a2a56;
	cursor: pointer;
	transition: .2s;
}

.login__submit:active,
.login__submit:focus,
.login__submit:hover {
	border-color: #64364d;
	outline: none;
}

.button__icon {
	font-size: 24px;
	margin-left: auto;
	color: #7875B5;
}

.login-disabled {	
	position: absolute;
	height: 140px;
	width: 160px;
	text-align: center;
	bottom: 0px;
	right: 0px;
	color: #fff;
}